aboutsummaryrefslogtreecommitdiff
path: root/app/crypt
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2006-12-22 01:10:24 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2006-12-22 01:10:24 +0000
commit8c7ca4ef0a1074114f5ed67ff2d9790c7d1dc517 (patch)
tree1e07ebaea8f153fa3caa25b098c0e81873f33853 /app/crypt
parent9809eadb931aa8f7fb38bd2715840ffa864fb1ae (diff)
downloadslackbuilds-8c7ca4ef0a1074114f5ed67ff2d9790c7d1dc517.tar.gz
slackbuilds-8c7ca4ef0a1074114f5ed67ff2d9790c7d1dc517.tar.bz2
\
generic.SlackBuild v0.2.3 - O fonte e descompactado no $SRC_DIR e nao mais no $CWD git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@945 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/crypt')
-rwxr-xr-xapp/crypt/gnupg2/gnupg2.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/app/crypt/gnupg2/gnupg2.SlackBuild b/app/crypt/gnupg2/gnupg2.SlackBuild
index 85e079f9..6dc6e23a 100755
--- a/app/crypt/gnupg2/gnupg2.SlackBuild
+++ b/app/crypt/gnupg2/gnupg2.SlackBuild
@@ -26,7 +26,7 @@ TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
-PKG_SRC=$SRC_NAME-$VERSION
+PKG_SRC=$SRC_DIR/$SRC_NAME-$VERSION
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR=$PREFIX/lib
@@ -91,8 +91,8 @@ fi
gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
# Untar, patch, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC/g10
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC/g10
patch -Np0 < $CWD/filter-context-20-small.diff || exit $ERROR_PATCH
cd ..
CFLAGS="$SLKCFLAGS" \